{% load static %}


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Projects</title>
    <link rel="stylesheet" href="{% static 'css/projects.css' %}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div class="content-wrapper">
        <header>
            <nav>
                <ul class="nav-left">
                    {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'company_list' %}">My companies</a>
                    </li>
                    {% endif %}
                </ul>
                <ul class="nav-right">
                    {% if user.is_authenticated %}
                    <li>
                        <a>🌟 You're Awesome, {{ user.username }}!</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Sign up</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div class="project-list">
                <h1>My Projects</h1>
                <a href="{% url 'create_project' %}" class="create-project-link">Create a new project</a>
                {% if projects %}
                <div class="card-container">
                    {% for project in projects %}
                    <div class="card" onclick="expandCard(this)">
                        <h3>
                            <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                        </h3>
                        <p>Number of tasks: {{ project.tasks.all|length }}</p>
                        <div>
                            <a href="{% url 'edit_project' project.id %}"><i class="fa fa-pencil"></i></a>
                            <a href="{% url 'delete_project' project.id %}"><i class="fa fa-trash"></i></a>
                        </div>
                    </div>
                    {% endfor %}
                </div>
                {% else %}
                <p>You are not assigned to any projects</p>
                {% endif %}
            </div>
        </main>
    </div>
    <footer class="footer">
        <p>Developed by Dongyu Wang (王冬雨). If you find any bugs, they are features:) &copy; 2024 All rights reserved.
        </p>
    </footer>

    <script>
        function expandCard(card) {
            card.classList.toggle('expanded');
        }

        document.addEventListener('click', function (event) {
            var expandedCards = document.querySelectorAll('.card.expanded');
            expandedCards.forEach(function (card) {
                if (!card.contains(event.target)) {
                    card.classList.remove('expanded');
                }
            });
        });
    </script>
</body>

</html>
